Package org.eclipse.cdt.core.model

# Interface ICModelStatusConstants

public interface ICModelStatusConstants
Status codes used with C model status objects.

See Also:
  - `ICModelStatus`
  - `IStatus.getCode()`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CORE_EXCEPTION`
Status constant indicating a core exception occurred.
`static final int`
`CP_VARIABLE_PATH_UNBOUND`
Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.
`static final int`
`DEVICE_PATH`
Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required.
`static final int`
`ELEMENT_DOES_NOT_EXIST`
Status constant indicating that one or more elements supplied do not exist.
`static final int`
`EVALUATION_ERROR`
Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.
`static final int`
`INDEX_OUT_OF_BOUNDS`
Status constant indicating the given source position is out of bounds.
`static final int`
`INVALID_CONTAINER_ENTRY`
Container Entry could not be resolved.
`static final int`
`INVALID_CONTENTS`
Status constant indicating that the specified contents are not valid.
`static final int`
`INVALID_DESTINATION`
Status constant indicating that a destination provided for a copy/move/rename operation is invalid.
`static final int`
`INVALID_ELEMENT_TYPES`
Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process.
`static final int`
`INVALID_NAME`
Status constant indicating that a name provided is not syntactically correct.
`static final int`
`INVALID_NAMESPACE`
`static final int`
`INVALID_PATH`
Status constant indicating that a path provided to an operation is invalid.
`static final int`
`INVALID_PATHENTRY`
Status constant indicating that a pathentry was invalid
`static final int`
`INVALID_PROJECT`
Status indicating that a C element could not be created because the project owning underlying resource does not have the C nature.
`static final int`
`INVALID_RESOURCE`
Status indicating that a C element could not be created because the underlying resource is invalid.
`static final int`
`INVALID_RESOURCE_TYPE`
Status indicating that a C element could not be created because the underlying resource is not of an appropriate type.
`static final int`
`INVALID_SIBLING`
Status constant indicating that a sibling specified is not valid.
`static final int`
`IO_EXCEPTION`
Status constant indicating that an `java.io.IOException` occurred.
`static final int`
`NAME_COLLISION`
Status constant indicating that a naming collision would occur if the operation proceeded.
`static final int`
`NO_ELEMENTS_TO_PROCESS`
Status constant indicating that no elements were provided to the operation for processing.
`static final int`
`NO_LOCAL_CONTENTS`
Status indicating that the corresponding resource has no local contents yet.
`static final int`
`NULL_NAME`
Status constant indicating that `null` was specified as a name argument.
`static final int`
`NULL_PATH`
Status constant indicating that a `null` path was supplied to the operation.
`static final int`
`NULL_STRING`
Status constant indicating that a string was supplied to the operation that was `null`.
`static final int`
`PARSER_EXCEPTION`
Status constant indicating that a `DOMException` occurred.
`static final int`
`PATH_OUTSIDE_PROJECT`
Status constant indicating that a path outside of the project was supplied to the operation.
`static final int`
`PATHENTRY_CYCLE`
Cycle when resolving the entries.
`static final int`
`READ_ONLY`
Status constant indicating that the operation encountered a read-only element.
`static final int`
`RELATIVE_PATH`
Status constant indicating that a relative path was supplied to the operation when an absolute path is required.
`static final int`
`UPDATE_CONFLICT`
Status constant indicating there is an update conflict for a working copy.
`static final int`
`VARIABLE_PATH_UNBOUND`
Variable path is invalid.

## Field Details

### INVALID_PATHENTRY

static final int INVALID_PATHENTRY
Status constant indicating that a pathentry was invalid

See Also:
  - Constant Field Values

### CP_VARIABLE_PATH_UNBOUND

static final int CP_VARIABLE_PATH_UNBOUND
Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.

See Also:
  - Constant Field Values

### CORE_EXCEPTION

static final int CORE_EXCEPTION
Status constant indicating a core exception occurred. Use `getException` to retrieve a `CoreException`.

See Also:
  - Constant Field Values

### INVALID_ELEMENT_TYPES

static final int INVALID_ELEMENT_TYPES
Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  - Constant Field Values

### NO_ELEMENTS_TO_PROCESS

static final int NO_ELEMENTS_TO_PROCESS
Status constant indicating that no elements were provided to the operation for processing.

See Also:
  - Constant Field Values

### ELEMENT_DOES_NOT_EXIST

static final int ELEMENT_DOES_NOT_EXIST
Status constant indicating that one or more elements supplied do not exist. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  - Constant Field Values

### NULL_PATH

static final int NULL_PATH
Status constant indicating that a `null` path was supplied to the operation.

See Also:
  - Constant Field Values

### PATH_OUTSIDE_PROJECT

static final int PATH_OUTSIDE_PROJECT
Status constant indicating that a path outside of the project was supplied to the operation. The path can be retrieved using `getPath` on the status object.

See Also:
  - Constant Field Values

### RELATIVE_PATH

static final int RELATIVE_PATH
Status constant indicating that a relative path was supplied to the operation when an absolute path is required. The path can be retrieved using `getPath` on the status object.

See Also:
  - Constant Field Values

### DEVICE_PATH

static final int DEVICE_PATH
Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required. The path can be retrieved using `getPath` on the status object.

See Also:
  - Constant Field Values

### NULL_STRING

static final int NULL_STRING
Status constant indicating that a string was supplied to the operation that was `null`.

See Also:
  - Constant Field Values

### READ_ONLY

static final int READ_ONLY
Status constant indicating that the operation encountered a read-only element. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  - Constant Field Values

### NAME_COLLISION

static final int NAME_COLLISION
Status constant indicating that a naming collision would occur if the operation proceeded.

See Also:
  - Constant Field Values

### INVALID_DESTINATION

static final int INVALID_DESTINATION
Status constant indicating that a destination provided for a copy/move/rename operation is invalid. The destination element can be retrieved using `getElements` on the status object.

See Also:
  - Constant Field Values

### INVALID_PATH

static final int INVALID_PATH
Status constant indicating that a path provided to an operation is invalid. The path can be retrieved using `getPath` on the status object.

See Also:
  - Constant Field Values

### INDEX_OUT_OF_BOUNDS

static final int INDEX_OUT_OF_BOUNDS
Status constant indicating the given source position is out of bounds.

See Also:
  - Constant Field Values

### UPDATE_CONFLICT

static final int UPDATE_CONFLICT
Status constant indicating there is an update conflict for a working copy. The translation unit on which the working copy is based has changed since the working copy was created.

See Also:
  - Constant Field Values

### NULL_NAME

static final int NULL_NAME
Status constant indicating that `null` was specified as a name argument.

See Also:
  - Constant Field Values

### INVALID_NAME

static final int INVALID_NAME
Status constant indicating that a name provided is not syntactically correct. The name can be retrieved from `getString`.

See Also:
  - Constant Field Values

### INVALID_CONTENTS

static final int INVALID_CONTENTS
Status constant indicating that the specified contents are not valid.

See Also:
  - Constant Field Values

### IO_EXCEPTION

static final int IO_EXCEPTION
Status constant indicating that an `java.io.IOException` occurred.

See Also:
  - Constant Field Values

### PARSER_EXCEPTION

static final int PARSER_EXCEPTION
Status constant indicating that a `DOMException` occurred.

See Also:
  - Constant Field Values

### VARIABLE_PATH_UNBOUND

static final int VARIABLE_PATH_UNBOUND
Variable path is invalid.

See Also:
  - Constant Field Values

### INVALID_CONTAINER_ENTRY

static final int INVALID_CONTAINER_ENTRY
Container Entry could not be resolved.

See Also:
  - Constant Field Values

### PATHENTRY_CYCLE

static final int PATHENTRY_CYCLE
Cycle when resolving the entries.

See Also:
  - Constant Field Values

### EVALUATION_ERROR

static final int EVALUATION_ERROR
Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.

See Also:
  - Constant Field Values

### INVALID_SIBLING

static final int INVALID_SIBLING
Status constant indicating that a sibling specified is not valid.

See Also:
  - Constant Field Values

### INVALID_RESOURCE

static final int INVALID_RESOURCE
Status indicating that a C element could not be created because the underlying resource is invalid.

See Also:
  - `CoreModel`
  - Constant Field Values

### INVALID_RESOURCE_TYPE

static final int INVALID_RESOURCE_TYPE
Status indicating that a C element could not be created because the underlying resource is not of an appropriate type.

See Also:
  - `CoreModel`
  - Constant Field Values

### INVALID_PROJECT

static final int INVALID_PROJECT
Status indicating that a C element could not be created because the project owning underlying resource does not have the C nature.

See Also:
  - `CoreModel`
  - Constant Field Values

### INVALID_NAMESPACE

static final int INVALID_NAMESPACE

See Also:
  - Constant Field Values

### NO_LOCAL_CONTENTS

static final int NO_LOCAL_CONTENTS
Status indicating that the corresponding resource has no local contents yet. This might happen when attempting to use a resource before its contents has been made locally available.

See Also:
  - Constant Field Values